Get TikTok account summary
curl --request GET \
--url https://api.social-api.ai/v1/platforms/tiktok/accounts/{id}/summary \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/platforms/tiktok/accounts/{id}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/platforms/tiktok/accounts/{id}/summary"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"avatar_url": "<string>",
"bio_description": "<string>",
"display_name": "<string>",
"follower_count": 123,
"following_count": 123,
"is_verified": true,
"likes_count": 123,
"profile_deep_link": "<string>",
"username": "<string>",
"video_count": 123
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}TikTok
Get TikTok account summary
GET
/
platforms
/
tiktok
/
accounts
/
{id}
/
summary
Get TikTok account summary
curl --request GET \
--url https://api.social-api.ai/v1/platforms/tiktok/accounts/{id}/summary \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/platforms/tiktok/accounts/{id}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/platforms/tiktok/accounts/{id}/summary"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"avatar_url": "<string>",
"bio_description": "<string>",
"display_name": "<string>",
"follower_count": 123,
"following_count": 123,
"is_verified": true,
"likes_count": 123,
"profile_deep_link": "<string>",
"username": "<string>",
"video_count": 123
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Connected account ID